# Open-source solder station for Weller RT series soldering tips

Hardware part

***

This project is an open-source solder station for use with the Weller RT series soldering tips. This is based on a previous kit designed by membres of the asociation Electrolab.

[Previous project on the Electrolab Wiki](https://wiki.electrolab.fr/Projets:SolderStationWEnglish)

[Repository of the legacy project](https://github.com/diorcety/SolderStation)

As stated in the Electrolab Wiki, this project was inspired by other projects, namely the [SMD Soldering Station from Martin Kumm](http://www.martin-kumm.de/wiki/doku.php?id=05Misc:SMD_Solderstation) and [Selbstau einer SMD-Lötstation from DL4JAL ("Yet Another SMD Solder Station")](https://www.dl4jal.de/smd_loetstation/smd_loetst.html).

The goal of this project is to update this project regarding actual CAD tools, technology and components availability.

## Description

This project is a soldering station circuit for use with the [Weller RT series soldering tips](https://www.weller-tools.com/nocompromise/). These tips are disposable integrated soldering tips that include the heating element as well as a temperature sensor, it connects to the iron through a stereo jack 3.5mm and uses low-voltage (12V), making them perfectly fitted for a DIY use.

The circuit will manage the regulation of the tip temperature and provide a HMI. On the original project, the regulation is managed by an Arduino Nano board, and the circuit is separated in two PCBs:
- A main PCB with with the regulation board, analog temperature measurement, power supply and power switching for the heating element,
- A HMI PCB with the display (3 x 7-segment LED display + 5mm LED) and controls (two push buttons or rotary encoder).

This repository will contain a renewed version of this legacy architecture, as well as eventual branches with other variants.

## Embedded software

See the corresponding SW repo : [SolderStationMk2_SW](https://code.electrolab.fr/Flax/solderstationmk2_sw)

The legacy code for Arduino will be taken from the [original Github repo](https://github.com/diorcety/SolderStation), it will be used as base for further developments.

## Tools

- [Kicad 7.0](https://www.kicad.org/download/)
- [LTSpice 17.1.8](https://www.analog.com/en/design-center/design-tools-and-calculators/ltspice-simulator.html)
- [Arduino Nano](https://store.arduino.cc/products/arduino-nano)

